zwp_confined_pointer_v1_listener Struct Reference
The zwp_confined_pointer_v1 interface

`#include <pointer-constraints-unstable-v1-client-protocol.h>`

## Data Fields

void(* | confined )(void *data, struct zwp_confined_pointer_v1 *zwp_confined_pointer_v1)
void(* | unconfined )(void *data, struct zwp_confined_pointer_v1 *zwp_confined_pointer_v1)

## Detailed Description

Definition at line 528 of file pointer-constraints-unstable-v1-client-protocol.h.

## Field Documentation

## confined

void(* zwp_confined_pointer_v1_listener::confined) (void *data, struct zwp_confined_pointer_v1 *zwp_confined_pointer_v1)

pointer confined

Notification that the pointer confinement of the seat's pointer is activated.

Definition at line 535 of file pointer-constraints-unstable-v1-client-protocol.h.

## unconfined

void(* zwp_confined_pointer_v1_listener::unconfined) (void *data, struct zwp_confined_pointer_v1 *zwp_confined_pointer_v1)

pointer unconfined

Notification that the pointer confinement of the seat's pointer is no longer active. If this is a oneshot pointer confinement (see wp_pointer_constraints.lifetime) this object is now defunct and should be destroyed. If this is a persistent pointer confinement (see wp_pointer_constraints.lifetime) this pointer confinement may again reactivate in the future.

Definition at line 547 of file pointer-constraints-unstable-v1-client-protocol.h.

The documentation for this struct was generated from the following file:

- gen/pointer-constraints-unstable-v1-client-protocol.h